var recover = angular.module('recover', []);

/*
 * Controller for the Recover page.
*/

recover.controller('RecoverCtrl', ['$scope', '$window', '$http', 'Page', function($scope, $window, $http, Page) {

		Page.setTitle('Recover');

        $scope.filterLoaded = function() {
            var PHD = window.PHD;

            // clean up filter.
            var $footer = $("#recovery-backup-footer");
            var replace = $footer.html().replace(/filter_namespace/g, "recover");
            $footer.html(replace);

            // wrap existing jQuery in functions and run after the filter (ng-include) is loaded.
            processBackupFilter(PHD, window);

            // The main recover page functions must load after the filter.
            processRecoverPage(PHD, window);

        }
	}]
);

